Sisimai::MDA(3pm)

NAME
Sisimai::MDA - Error message parser for MDA

SYNOPSIS
    use Sisimai::MDA;
    my $header = { 'from' => 'mailer-daemon@example.jp' };
    my $string = 'mail.local: Disc quota exceeded';
    my $return = Sisimai::MDA->make($header, \$string);

DESCRIPTION
Sisimai::MDA parse bounced email which created by some MDA, such as "dovecot", "mail.local", "procmail", and so on. This class is called from Sisimai::Message only.

CLASS METHODS

  "make(Header, Reference to message body)"
"make()" is a parser for detecting an error from mail delivery agent.

    my $header = { 'from' => 'mailer-daemon@example.jp' };
    my $string = 'mail.local: Disc quota exceeded';
    my $return = Sisimai::MDA->make($header, \$string);
    warn Dumper $return;
    $VAR1 = {
        'mda' => 'mail.local',
        'reason' => 'mailboxfull',
        'message' => 'mail.local: Disc quota exceeded'
    }

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018,2019 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.